AutoNic
=======

A command line utility to turn your [mac-address](http://en.wikipedia.org/wiki/MAC_address) into a human pronounceable name. Inspired by [uuidBabyName.py](https://github.com/bgawalt/uuidBabyName), this uses a similar algorithm to generate 'baby names' from hex strings.

Usage
-----

AutoNic is packaged as a rubygem, and you'll need to have at least ruby 1.9 available for this to work.

`gem install autonic` should do the job of installing it on your system.

Run it with the `autonic` command.

```bash
$ autonic
Mac: 00:A0:C9:14:C8:29
Name: bavaza_gazale
```

Examples
--------

- bawozuri
- bahiyure_ru
- bavaza_gazale
