require 'rspec'
require 'spec_helper.rb'

describe 'AutoNic' do
  before :each do
    @macr = AutoNic.new
  end

  it 'gives your server a cute name' do
    @macr.macaddr = "00:B0:D0:86:BB:F7"
    @macr.name.should eq "bawozuri"
  end

  it 'makes no promises that it will be prouncable' do
    @macr.macaddr = "00:1b:63:84:45:e6"
    @macr.name.should eq "bahiyure_ru"
  end

  it 'probably sounds like baby noises' do
    @macr.macaddr = "00:A0:C9:14:C8:29"
    @macr.name.should eq "bavaza_gazale"
  end

  it 'does not create unique names' do
    @macr.macaddr = "14:10:9f:d8:6e:f7"
    @macr.name.should eq "gafetu_pa"
  end
end


 